Subject: Re: bug#18712: 24.3; IELM fails to move point in a working buffer that is also displayed

From: Glenn Morris <[email-masked]>
Date: Tue, 14 Oct 2014 11:41:06 -0400

Trevor Murphy wrote:

> 1. M-x ielm RET
> 2. C-c C-b *scratch* RET
> 3. Type `(goto-char 1)' at the ELISP prompt and hit RET
> 4. C-x 4 C-o *scratch* RET
>
> Then I see the *scratch* buffer in the other window with its point on
> the first character in the buffer (the first `;' on the first line).
>
> However, if I reverse the order of steps (3) and (4) above, again
> starting from `emacs -Q':
> 1. M-x ielm RET
> 2. C-c C-b *scratch* RET
> 3. C-x 4 C-o *scratch* RET
> 4. Type `(goto-char 1)' at the ELISP prompt and hit RET
>
> Then I see the *scratch* buffer in the other window with its point
> unmoved (still at the start of the second line after the initial
> scratch message).

I think this is not a bug; you are seeing the difference between "window
point" and "point". See section "Windows and Point" in the elisp manual.